Please do not post a support request without first reading and following the advice in https://retropie.org.uk/forum/topic/3/read-this-first

  • So, I'm really trying to figure this whole retropie thing out. I see a reference to mame versions for different sets. How do I know which mame version I have? I am running retropie 4.4 on a 3B+. Am I only able to run a certain version of ROM Set?

    Also, do the files have to be unzipped. I thought I was reading that the arcade files needed to stay zipped.

    Is that the same for Mame? Also does it matter if I use mame4all or the mame-libretro? I'm not exactly sure how it all works.

    What happens if a ROM gets put into the wrong folder?

    Thanks for the help!


  • Here is a great forum post about the MAME basics :

    https://retropie.org.uk/forum/topic/2859/how-to-use-mame-with-retropie-help-guide

    I forget which MAME version comes standard on which build but if you load a game and press 'A' when promoted at the splash screen it should show you the default MAME emulator you're launching.

    As far as which ROMset to use, each MAME emulator requires its own version which you can see here:

    https://github.com/RetroPie/RetroPie-Setup/wiki/MAME

    I leave my files zipped and have never tried otherwise.

    If you put the wrong ROMset zip in a folder that's an incompatible MAME version it won't launch properly. The Arcade folder is nice because you can have one Arcade menu item which will list all of the games and as long as you have the folders filled with proper versions then it will auto launch the game with the right emulator version. You can also just use the regular MAME folder but then if you have a ROMset for one MAME version and a ROMset for another MAME version then I believe you'll see two MAME entries on the menu which might be tacky or undesired.


  • Thank you.

    I’m also having trouble exiting out of some games. Each works with some, but with others I find myself having to reboot my pi. Options?

  • Global Moderator

    @keptar69 please fill out https://retropie.org.uk/forum/topic/3/read-this-first for a specific example


  • 0.37b5 should provide pretty much everything for 'classic' arcade games and will easily run on the PI3 B, MAME 0.106 is the last release for the PI and this should still work ok for the vast majority of games and will still run on the PI 3B

    MAME version NEED a specific ROM set as each version of MAME has updates and redumps or better dumps of ROMs that were not working earlier, which is why MAME fails if you don't have the ROMs to match

    I do have a set of ROMs that I picked up looking for some help on how to create a custom ROM set with only working ROMs and came across the set by accident that has ONLY the working versions of each game, and the best ones of FBA or MAME. with a lot of the redundant games removed. Easy to install and comes with very simple instructions to basically copy over and its ready to go. Try searching for "wills arcade set". Thats all the help I can give

    Never every unzip the MAME ZIP files. FBA and MAME need the files zipped, one of the few emulators that MUST be zipped for it to work as it should

    There are a lot of clones and games that are non-working and some where only the clones work. This improved with later revisions of MAME but the PI can't run the later games due to sheer processing power required

Contributions to the project are always appreciated, so if you would like to support us with a donation you can do so here.

Hosting provided by Mythic-Beasts. See the Hosting Information page for more information.